MKNOD(8)

NAME
mknod - build special file

SYNOPSIS
/sbin/mknod name [ b|c ] major minor

/sbin/mknod name p

DESCRIPTION
Mknod makes a special file. The first argument is the name of the entry. In the first form, the second argument is b if the special file is block-type (disks, tape) or c if it is character-type (other devices). The last two arguments are numbers specifying the major device type and the minor device (e.g. unit, drive, or line number).

The assignment of major device numbers is specific to each system. They have to be dug out of the system source file conf.c.

In the second form, mknod makes a named pipe (FIFO).

SEE ALSO
mknod(2), makedev(8)